package eurowechsler;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class EuroApplet extends Applet {
  boolean isStandalone = false;
  Label label1 = new Label();
  TextField textField1 = new TextField();
  Button button1 = new Button();
  /**Parameterwert holen*/
  public String getParameter(String key, String def) {
    return isStandalone ? System.getProperty(key, def) :
      (getParameter(key) != null ? getParameter(key) : def);
  }

  /**Das Applet konstruieren*/
  public EuroApplet() {
  }
  /**Das Applet initialisieren*/
  public void init() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  /**Initialisierung der Komponenten*/
  private void jbInit() throws Exception {
    label1.setText("EuroWechsler");
    label1.setBounds(new Rectangle(58, 7, 96, 17));
    this.setLayout(null);
    textField1.setBounds(new Rectangle(58, 32, 85, 28));
    button1.setLabel("Wechseln");
    button1.setBounds(new Rectangle(188, 29, 105, 34));
    button1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        button1_actionPerformed(e);
      }
    });
    list1.setBounds(new Rectangle(56, 112, 201, 157));
    label2.setText("label2");
    label2.setBounds(new Rectangle(57, 72, 88, 20));
    label3.setText("DM");
    label3.setBounds(new Rectangle(148, 31, 25, 24));
    this.setBackground(new Color(255, 239, 122));
    this.add(list1, null);
    this.add(textField1, null);
    this.add(label2, null);
    this.add(label3, null);
    this.add(label1, null);
    this.add(button1, null);
  }
  /**Applet-Information holen*/
  public String getAppletInfo() {
    return "Applet-Information";
  }
  /**Parameter-Infos holen*/
  public String[][] getParameterInfo() {
    return null;
  }
  List list1 = new List();
  Label label2 = new Label();

  /* Arrays mit Zahlenwerten und Namen der Whrung */
  int Werte[]={1,2,5,10,20,50,100,200,500,1000,2000,5000,10000,20000,50000};
  String Namen[] = {"1 Cent","2 Cent","5 Cent","10 Cent","20 Cent","50 Cent",
                 "1 Euro","2 Euro","5 Euro","10 Euro","20 Euro","50 Euro",
                 "100 Euro","200 Euro","500 Euro"};
  Label label3 = new Label(); // 15 Namen 0 .. 14

  /* Funktion zum Umrechnen und ausgeben */
  void button1_actionPerformed(ActionEvent e) { // Button1
  double DM,Euro;                           // Variablen DM, Euro deklarieren
  int Cent,i,erg;
    DM = Double.valueOf(textField1.getText()).doubleValue(); // DM auslesen
    Euro = DM/1.95583;                      // DM in Euro umrechnen
    Euro = Math.round(Euro*100.0)/100.0;    // Auf Cent runden
    label2.setText(Double.toString(Euro)+" Euro"); // EuroWert ausgeben
    list1.clear();                          // ListBox lschen
    Cent = (int)(Euro*100.0);               // Cent aus Euro ermitteln
    for (i=14;i>=0;i--){                    // fr alle Wertigkeiten
      erg = Cent / Werte[i];                // kommt Wert vor
      if (erg >0){                          // wenn ja ausgeben
        list1.add(Integer.toString(erg)+" * "+Namen[i]);
        Cent = Cent - erg*Werte[i];
      } // -wenn ja ausgeben
    } // -fr alle Wertigkeiten
  } // -Button1
}